@echo off

setlocal

set ARGS=%*
set DLL=/NOLOGO

if "%MK_DEBUG%" == "1" (
        set CLIB=libcmtd.lib
        set APLLIB=%LIBDIR%\apld.lib
) ELSE (
        set CLIB=libcmt.lib
        set APLLIB=%LIBDIR%\apl.lib
)

if "%1" == "-nolib" (
        set APLLIB=/NOLOGO
        set DLL=/DLL
        for /F "tokens=1,*" %%A in  ("%ARGS%") do set ARGS=%%B
)

for /F "tokens=1,*" %%A in  ("%ARGS%") do set TARGET=%%A && set DIROBJS=%%B

rem echo ARGS=%ARGS%.
rem echo TARGET=%TARGET%.
rem echo DIROBJS=%DIROBJS%.

set LNK=%TMP%\ap_build.tmp.lnk

echo /NOLOGO > %LNK%
echo /OUT:%TARGET% >> %LNK%
echo /FORCE:MULTIPLE >> %LNK%
echo /LARGEADDRESSAWARE >> %LNK%
echo /SUBSYSTEM:WINDOWS >> %LNK%

if "%MK_DEBUG" == "1" (
echo /DEBUG >> %LNK%
)

echo user32.lib	>> %LNK%
echo advapi32.lib	>> %LNK%
echo shlwapi.lib	>> %LNK%
echo gdi32.lib	>> %LNK%

if "%MK_BITS%" == "64" (
	echo /MACHINE:amd64 >> %LNK%
	echo bufferoverflowu.lib >> %LNK%
) ELSE (
	echo /MACHINE:ix86 >> %LNK%
)

echo /nodefaultlib:libcmt >> %LNK%


echo %OBJDIR%\dyalog.res >> %LNK%
echo %CLIB%       >> %LNK%
echo %APLLIB%     >> %LNK%
echo %DLL%     >> %LNK%

rem echo link.exe %DIROBJS% @%LNK%
     link.exe %DIROBJS% @%LNK%

endlocal
